Jump to content

OSX86Tools Final Release is Here


  • This topic is locked This topic is locked
41 replies to this topic

#21
boba899

boba899

    InsanelyMac Geek

  • Members
  • PipPipPip
  • 103 posts
Excellent, thanks ;)

#22
joeventura

joeventura

    InsanelyMac Protégé

  • Members
  • PipPip
  • 59 posts
~pcwiz

Thanks so much for your efforts on behalf of pros and newbies alike!!!
Folks like you make this fun!

#23
Beerkex'd

Beerkex'd

    Content Provider

  • Members
  • PipPipPipPipPipPipPipPipPipPipPip
  • 3,000 posts
  • Gender:Male
  • Location:Belo Horizonte - Brazil
The one tool that everybody needs.

Thanks pcwiz.

It's funny, when I click download and install hardware drivers, it goes through the detection but nothing appears in the box.

I guess it just shows how amazingly compatible my motherboard is. :tomato:

AFAIK everything is running on Apple drivers, but shouldn't it at least show my video card?

Maybe the ID isn't in the database. It's a Leadtek Geforce 7600 GT AGPx8.

00:00.0 Host bridge [0600]: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570] (rev 02)
00:01.0 PCI bridge [0604]: Intel Corporation 82865G/PE/P PCI to AGP Controller [8086:2571] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 [8086:24d2] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 [8086:24d4] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 [8086:24d7] (rev 02)
00:1d.3 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 [8086:24de] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller [8086:24dd] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev c2)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge [8086:24d0] (rev 02)
00:1f.1 IDE interface [0101]: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller [8086:24db] (rev 02)
00:1f.2 IDE interface [0101]: Intel Corporation 82801EB (ICH5) SATA Controller [8086:24d1] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller [8086:24d3] (rev 02)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller [8086:24d5] (rev 02)
01:00.0 VGA compatible controller [0300]: nVidia Corporation GeForce 7600 GT [10de:02e0] (rev a2)
02:05.0 Ethernet controller [0200]: Intel Corporation 82540EM Gigabit Ethernet Controller [8086:100e] (rev 02)
02:0c.0 Multimedia audio controller [0401]: Creative Labs SB X-Fi [1102:0005]

#24
ndhoste

ndhoste

    InsanelyMac Protégé

  • Members
  • Pip
  • 9 posts
thanks for the great work, snagged this latest release--solid as ever!

#25
donkey

donkey

    InsanelyMac Geek

  • Members
  • PipPipPipPip
  • 202 posts
  • Gender:Male
  • Location:USA
Awesome and such a handy application!!!

Thank You!

I upgraded to the new version and I get an AppleScript error when I click any button and then the application closes. The error is "Can't get window id 1. (-1728)

Any ideas on how to get the application working again? :)

Thanks!

Awesome and such a handy application!!!

Thank You!

I upgraded to the new version and I get an AppleScript error when I click any button and then the application closes. The error is "Can't get window id 1. (-1728)

Any ideas on how to get the application working again? :)

Thanks!



So for anyone having the same problem... this error comes up when NuclearMouse is installed (SIMBL plugin)

Its working again!! Thanks for an awesome app!

#26
starobrno1

starobrno1

    InsanelyMac Legend

  • Banned
  • PipPipPipPipPipPipPip
  • 930 posts
  • Gender:Male
Really cool for some reason Imovie started to work ok no more shuting down thanks man this is a great tool you guys did an avesome job.

#27
KennyW

KennyW

    InsanelyMac Protégé

  • Members
  • Pip
  • 23 posts
Somehow the latest version seems not to always work as compared to v149.

I have two partitions on an external USB HD, one of Kalyway 10.5.4 while the other iDeneb 10.5.4.

The AppleACPIPlatform.kext was of v1.21 in Kalyway and of v1.03 in iDeneb. So I try to use the Install Kernel function of OSX86Tools to install that kext from Kaly to iDen but somehow iDeneb can't be updated.

I have to remove manually that in iDen before a successful installation.

#28
bigcletus

bigcletus

    InsanelyMac Protégé

  • Members
  • PipPip
  • 71 posts
the Set CPU info does not make any changes... Thoughts?

#29
Tresor

Tresor

    InsanelyMac Protégé

  • Just Joined
  • Pip
  • 1 posts
Thanks for your great tool!!!!

One problem I have found in Version 1.0.150:

If I want to install PC EFI V8 the new wizard says ... "Running DD" and then DD is unable to complete" - I have chosen the right Partition...
If I want to install Chameleon it says after a very short Time "Chameleon successfully installed" but in both: If I reboot nothing is installed and it leaves me with a blank cursor...

In Version 1.0.148 in the old "terminal wizard" everything works very well with installing PC_EFi or Chameleon. So I had to use it for reinstalling Chameleon.

I don´t know if it´s only a problem on my hack or if it is a global issue...

#30
~pcwiz

~pcwiz

    InsanelyMac V.I.P.

  • Retired
  • 5,900 posts
  • Gender:Male
Hmm...that might just be a possible issue. I'll look into it for you :) Although according to the testers EFI installation worked fine...In any case I'll take a look and tell you what I find.

#31
nekton

nekton

    InsanelyMac Geek

  • Members
  • PipPipPip
  • 125 posts
I have the exact same problem and error message.

#32
sama7896

sama7896

    InsanelyMac Sage

  • Members
  • PipPipPipPipPipPip
  • 443 posts
  • Gender:Male

Hmm...that might just be a possible issue. I'll look into it for you :) Although according to the testers EFI installation worked fine...In any case I'll take a look and tell you what I find.

i had a similar issue (last comment)

#33
~pcwiz

~pcwiz

    InsanelyMac V.I.P.

  • Retired
  • 5,900 posts
  • Gender:Male
That "-f" issue has nothing to do with the bootloader, that issue is something wrong with the kext cache (nothing to do with OSx86Tools). For PS/2 you can use my PS/2 fix installer for 10.5.4, but if you have 10.5.5 I've had reports that the AppleACPIPS2Nub doesn't work on it.

#34
karst3n

karst3n

    InsanelyMac Protégé

  • Just Joined
  • Pip
  • 2 posts
[quote name='~pcwiz' d
EDIT: Lol my comment to check the Credits was removed as "blog spam". Note to mod: I wasn't trying to spam, I was trying to give proper credit to the people that deserve it because I'm not the only one to thank
[/quote]

#35
cj95

cj95

    InsanelyMac Geek

  • Members
  • PipPipPipPip
  • 182 posts
first of all, thanks a lot for this. when will it support 9600gt (geforce 9xx series) in future releases?

#36
Qiao Jiannan

Qiao Jiannan

    InsanelyMac Protégé

  • Members
  • Pip
  • 4 posts
iDeneb 1.5.1 supported.

#37
Sauk

Sauk

    InsanelyMac Protégé

  • Members
  • Pip
  • 19 posts
  • Gender:Male
  • Location:Utah
Love the tool. So I am having issues with downloading&install on two things it finds.

I get an applescript error

curl: (6) Couldn't resolve host 'osx86tools.osx86.hu' (6)

And earlier It would not create a directory to download and install...

#38
Red Leader

Red Leader

    InsanelyMac Protégé

  • Members
  • Pip
  • 8 posts
I use OSX86tools and it is very useful. Especially to reinstall a bootloader or activate partitions. However I found a bug, and its workaround : if you get an error message such as "unable to complete command" when trying to use FDisk for example, it is probably because the boot volume name contains a space. To avoid this bug, you simply need to remove any space characters in the volume name, e.g. change "My OSX86 Disk" to "MyOSX86Disk" before using OSX86Tools commands.

#39
^_^

^_^

    InsanelyMac Geek

  • Members
  • PipPipPipPip
  • 234 posts
  • Gender:Male
  • Location:Land of the raising sun
request: SL version

my world will be complete if new snow leopard compatible version (with new efi) is available. :unsure:

#40
pirloui

pirloui

    InsanelyMac Sage

  • Members
  • PipPipPipPipPipPip
  • 402 posts
I'm affraid it's been dropped..
Anyone to confirm?





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

© 2016 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy